//=============================================================================
//  Brass instrument fingering plugin for MuseScore
//
//  Copyright (C)2012 Ian McLeod (underquark)
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License version 2.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//=============================================================================

var notes = [ "123", "13", "23", "12", "1", "2", "0", "123", "13", "23", "12", "1", "2", 
"0", "23", "12", "1", "2", "0", "12", "1", "2", "0", "1", "2", "0", "23", "12", "1", "2", "0"] 

//---------------------------------------------------------
//    init
//---------------------------------------------------------

function init()
      {
      }

//-------------------------------------------------------------------
//    run
//-------------------------------------------------------------------

function run()
      {
      var cursor   = new Cursor(curScore);
      cursor.staff = 0;
      cursor.voice = 0;
      cursor.rewind();  // move cursor to first note or rest
      var font = new QFont("Times New Roman", 10);
      while (!cursor.eos()) {
            if (cursor.isChord()) {
                  
                  var pitch = cursor.chord().topNote().pitch;
                  var index = pitch - 54;
                  if (index >= 0 && index < notes.length){ 
                      var glyph  = new Text(curScore);
                      glyph.text = notes[index];
                      glyph.defaultFont = font;
		      glyph.yOffset = 6
		      if (pitch < 59){                    
			glyph.yOffset = glyph.yOffset + 2;
			}                      
		      glyph.xOffset = 0 
                      cursor.putStaffText(glyph);
                      }
                  }
            cursor.next();
            }
      }

var mscorePlugin = {
      menu: 'Plugins.Fingering - Brass',
      init: init,
      run:  run
      };

mscorePlugin;

